<template>
	<view class="">
		<view class="customer-index">
			<view class="customer-index_body">
				<view class="wait-collection" style="background: url('https://mx.jzeg.cn:9096/appimg/image/banner/customerbanner.png') no-repeat;background-size:100% 100%" >
				 <!-- <img  class="bannerImg" src="https://mx.jzeg.cn:9096/appimg/image/banner/customerbanner.png" alt=""> -->
				</view>
				<!-- <view style="position: relative;top: -120px;">
					<u-empty mode="data"
						icon="http://cdn.uviewui.com/uview/empty/data.png"
						textSize="30"
						iconSize="1000"
						v-if="CoalNameList.length == 0"></u-empty>
				</view> -->
				<view class="">
					<selectTarget ref='selectTarget' :loadUnloadData='loadUnloadData' ></selectTarget>
				</view>
			</view>
		</view>
	</view>
</template>

<script>
import selectTarget from '@/pages/loadUnload-page/selectTarget/selectTarget.vue'
	export default {
		props: {
			indexLoadUnloadBillOfLoadingData: {
				type: Object,
				default: {}
			}
		},
		watch: {
			indexLoadUnloadBillOfLoadingData: {
				handler(v) {
					this.loadUnloadData = v;
				},
				deep: true,
				immediate: true
			}
		},
		components: {
			selectTarget
		},
		data() {
			return {
				loadUnloadData:[],

			};
		},
		onLoad() {
			this.init()
		},
		methods: {
			init() {
				this.$nextTick(() => {
					this.$refs.selectTarget.getDeptIdFiled()
				})
			}
		},
	}
</script>

<style lang="scss"
	scoped>
	/* 大型设备（大台式电脑，1201px 起）*/
		@media screen and (min-width: 1201px) {
		.wait-collection{
			min-height: 1800rpx!important;
		}
		}

		/* 中型设备（台式电脑，992px 起） */
		@media screen and (min-width: 991px) and (max-width: 1200px) {
		.wait-collection{
			min-height: 1400rpx!important;
		}
		}


		/* 小型设备（平板电脑，768px 起） */
		@media screen and (min-width: 768px) and (max-width: 990px) {
		.wait-collection{
			min-height: 670rpx!important;
		}
		}

		/* 超小设备（手机，小于 768px）*/
		@media only screen and (max-height: 767px) {
		.wait-collection{
			min-height: 600rpx!important;
		}
		}
	@mixin flex {
		display: flex;
		justify-content: space-between;
		align-items: center;
	}

	.wait-collection {
		width: 100%;
	   height: 670rpx;
		position: relative;
		top: vww(-10);
		z-index: 0;
		// .bannerImg{
		// 	width: 100%;
		// 	height: 100%;
		// 	object-fit: cover;
		// 	transform: translateY(200r);
			 
		// }
	}

	.customer-index {
		width: 100%;
		margin: 0 auto;

		&_body {
			.collection-form {
				width: vww(345);
				margin: 0 vww(15);
				position: relative;
				top: vww(-144);

				.collection-form-item {
					width: 690rpx;
					height: 100rpx;
					background: #ffffff;
					box-shadow: 4rpx 6rpx 25rpx 0rpx rgba(73, 120, 240, 0.15);
					border-radius: 20rpx;
					overflow: hidden;
					@include flex;
					flex-direction: column;
					position: relative;
					align-items: center;
					justify-content: center;
					margin-top: vww(10);

					.first-line {
						width: 94%;
						height: vww(30);
						display: flex;
						justify-content: space-between;
						align-items: center;
					}
				}
			}
		}
	}
</style>